Submitted By: Ken Moffat <ken at linuxfromscratch dot org>
Date: 2009-09-11
Initial Package Version: 2.7
Upstream Status: Unknown
Origin: Debian
Description: Create a shared libmp4ff

--- faad2.orig/common/mp4ff/Makefile.in
+++ faad2/common/mp4ff/Makefile.in
@@ -54,16 +54,12 @@
   esac;
 am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
 am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(includedir)"
-libLIBRARIES_INSTALL = $(INSTALL_DATA)
-LIBRARIES = $(lib_LIBRARIES)
-ARFLAGS = cru
-libmp4ff_a_AR = $(AR) $(ARFLAGS)
-libmp4ff_a_LIBADD =
-am_libmp4ff_a_OBJECTS = libmp4ff_a-mp4ff.$(OBJEXT) \
-	libmp4ff_a-mp4atom.$(OBJEXT) libmp4ff_a-mp4meta.$(OBJEXT) \
-	libmp4ff_a-mp4sample.$(OBJEXT) libmp4ff_a-mp4util.$(OBJEXT) \
-	libmp4ff_a-mp4tagupdate.$(OBJEXT)
-libmp4ff_a_OBJECTS = $(am_libmp4ff_a_OBJECTS)
+libLTLIBRARIES_INSTALL = $(INSTALL)
+LTLIBRARIES = $(lib_LTLIBRARIES)
+libmp4ff_la_LIBADD =
+am_libmp4ff_la_OBJECTS = mp4ff.lo mp4atom.lo mp4meta.lo mp4sample.lo \
+	mp4util.lo mp4tagupdate.lo
+libmp4ff_la_OBJECTS = $(am_libmp4ff_la_OBJECTS)
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
@@ -75,8 +71,8 @@
 CCLD = $(CC)
 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
-SOURCES = $(libmp4ff_a_SOURCES)
-DIST_SOURCES = $(libmp4ff_a_SOURCES)
+SOURCES = $(libmp4ff_la_SOURCES)
+DIST_SOURCES = $(libmp4ff_la_SOURCES)
 includeHEADERS_INSTALL = $(INSTALL_HEADER)
 HEADERS = $(include_HEADERS)
 ETAGS = etags
@@ -193,10 +189,11 @@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
-lib_LIBRARIES = libmp4ff.a
+lib_LTLIBRARIES = libmp4ff.la
 include_HEADERS = mp4ff.h mp4ffint.h
-libmp4ff_a_CFLAGS = -DUSE_TAGGING=1
-libmp4ff_a_SOURCES = mp4ff.c mp4atom.c mp4meta.c mp4sample.c mp4util.c \
+AM_CFLAGS = -DUSE_TAGGING=1
+libmp4ff_la_LDFLAGS = -version-info 0:0:0
+libmp4ff_la_SOURCES = mp4ff.c mp4atom.c mp4meta.c mp4sample.c mp4util.c \
 		     mp4tagupdate.c mp4ff.h mp4ffint.h mp4ff_int_types.h
 
 all: all-am
@@ -232,39 +229,35 @@
 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-install-libLIBRARIES: $(lib_LIBRARIES)
+install-libLTLIBRARIES: $(lib_LTLIBRARIES)
 	@$(NORMAL_INSTALL)
 	test -z "$(libdir)" || $(mkdir_p) "$(DESTDIR)$(libdir)"
-	@list='$(lib_LIBRARIES)'; for p in $$list; do \
+	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
 	  if test -f $$p; then \
 	    f=$(am__strip_dir) \
-	    echo " $(libLIBRARIES_INSTALL) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
-	    $(libLIBRARIES_INSTALL) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
-	  else :; fi; \
-	done
-	@$(POST_INSTALL)
-	@list='$(lib_LIBRARIES)'; for p in $$list; do \
-	  if test -f $$p; then \
-	    p=$(am__strip_dir) \
-	    echo " $(RANLIB) '$(DESTDIR)$(libdir)/$$p'"; \
-	    $(RANLIB) "$(DESTDIR)$(libdir)/$$p"; \
+	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
+	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
 	  else :; fi; \
 	done
 
-uninstall-libLIBRARIES:
+uninstall-libLTLIBRARIES:
 	@$(NORMAL_UNINSTALL)
-	@list='$(lib_LIBRARIES)'; for p in $$list; do \
+	@set -x; list='$(lib_LTLIBRARIES)'; for p in $$list; do \
 	  p=$(am__strip_dir) \
-	  echo " rm -f '$(DESTDIR)$(libdir)/$$p'"; \
-	  rm -f "$(DESTDIR)$(libdir)/$$p"; \
+	  echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$p'"; \
+	  $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$p"; \
 	done
 
-clean-libLIBRARIES:
-	-test -z "$(lib_LIBRARIES)" || rm -f $(lib_LIBRARIES)
-libmp4ff.a: $(libmp4ff_a_OBJECTS) $(libmp4ff_a_DEPENDENCIES) 
-	-rm -f libmp4ff.a
-	$(libmp4ff_a_AR) libmp4ff.a $(libmp4ff_a_OBJECTS) $(libmp4ff_a_LIBADD)
-	$(RANLIB) libmp4ff.a
+clean-libLTLIBRARIES:
+	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
+	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
+	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
+	  test "$$dir" != "$$p" || dir=.; \
+	  echo "rm -f \"$${dir}/so_locations\""; \
+	  rm -f "$${dir}/so_locations"; \
+	done
+libmp4ff.la: $(libmp4ff_la_OBJECTS) $(libmp4ff_la_DEPENDENCIES) 
+	$(LINK) -rpath $(libdir) $(libmp4ff_la_LDFLAGS) $(libmp4ff_la_OBJECTS) $(libmp4ff_la_LIBADD) $(LIBS)
 
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT)
@@ -272,12 +265,12 @@
 distclean-compile:
 	-rm -f *.tab.c
 
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libmp4ff_a-mp4atom.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libmp4ff_a-mp4ff.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libmp4ff_a-mp4meta.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libmp4ff_a-mp4sample.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libmp4ff_a-mp4tagupdate.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libmp4ff_a-mp4util.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mp4atom.Plo@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mp4ff.Plo@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mp4meta.Plo@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mp4sample.Plo@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mp4tagupdate.Plo@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mp4util.Plo@am__quote@
 
 .c.o:
 @am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@@ -300,90 +293,6 @@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
 
-libmp4ff_a-mp4ff.o: mp4ff.c
-@am__fastdepCC_TRUE@	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -MT libmp4ff_a-mp4ff.o -MD -MP -MF "$(DEPDIR)/libmp4ff_a-mp4ff.Tpo" -c -o libmp4ff_a-mp4ff.o `test -f 'mp4ff.c' || echo '$(srcdir)/'`mp4ff.c; \
-@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/libmp4ff_a-mp4ff.Tpo" "$(DEPDIR)/libmp4ff_a-mp4ff.Po"; else rm -f "$(DEPDIR)/libmp4ff_a-mp4ff.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='mp4ff.c' object='libmp4ff_a-mp4ff.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -c -o libmp4ff_a-mp4ff.o `test -f 'mp4ff.c' || echo '$(srcdir)/'`mp4ff.c
-
-libmp4ff_a-mp4ff.obj: mp4ff.c
-@am__fastdepCC_TRUE@	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -MT libmp4ff_a-mp4ff.obj -MD -MP -MF "$(DEPDIR)/libmp4ff_a-mp4ff.Tpo" -c -o libmp4ff_a-mp4ff.obj `if test -f 'mp4ff.c'; then $(CYGPATH_W) 'mp4ff.c'; else $(CYGPATH_W) '$(srcdir)/mp4ff.c'; fi`; \
-@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/libmp4ff_a-mp4ff.Tpo" "$(DEPDIR)/libmp4ff_a-mp4ff.Po"; else rm -f "$(DEPDIR)/libmp4ff_a-mp4ff.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='mp4ff.c' object='libmp4ff_a-mp4ff.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -c -o libmp4ff_a-mp4ff.obj `if test -f 'mp4ff.c'; then $(CYGPATH_W) 'mp4ff.c'; else $(CYGPATH_W) '$(srcdir)/mp4ff.c'; fi`
-
-libmp4ff_a-mp4atom.o: mp4atom.c
-@am__fastdepCC_TRUE@	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -MT libmp4ff_a-mp4atom.o -MD -MP -MF "$(DEPDIR)/libmp4ff_a-mp4atom.Tpo" -c -o libmp4ff_a-mp4atom.o `test -f 'mp4atom.c' || echo '$(srcdir)/'`mp4atom.c; \
-@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/libmp4ff_a-mp4atom.Tpo" "$(DEPDIR)/libmp4ff_a-mp4atom.Po"; else rm -f "$(DEPDIR)/libmp4ff_a-mp4atom.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='mp4atom.c' object='libmp4ff_a-mp4atom.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -c -o libmp4ff_a-mp4atom.o `test -f 'mp4atom.c' || echo '$(srcdir)/'`mp4atom.c
-
-libmp4ff_a-mp4atom.obj: mp4atom.c
-@am__fastdepCC_TRUE@	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -MT libmp4ff_a-mp4atom.obj -MD -MP -MF "$(DEPDIR)/libmp4ff_a-mp4atom.Tpo" -c -o libmp4ff_a-mp4atom.obj `if test -f 'mp4atom.c'; then $(CYGPATH_W) 'mp4atom.c'; else $(CYGPATH_W) '$(srcdir)/mp4atom.c'; fi`; \
-@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/libmp4ff_a-mp4atom.Tpo" "$(DEPDIR)/libmp4ff_a-mp4atom.Po"; else rm -f "$(DEPDIR)/libmp4ff_a-mp4atom.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='mp4atom.c' object='libmp4ff_a-mp4atom.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -c -o libmp4ff_a-mp4atom.obj `if test -f 'mp4atom.c'; then $(CYGPATH_W) 'mp4atom.c'; else $(CYGPATH_W) '$(srcdir)/mp4atom.c'; fi`
-
-libmp4ff_a-mp4meta.o: mp4meta.c
-@am__fastdepCC_TRUE@	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -MT libmp4ff_a-mp4meta.o -MD -MP -MF "$(DEPDIR)/libmp4ff_a-mp4meta.Tpo" -c -o libmp4ff_a-mp4meta.o `test -f 'mp4meta.c' || echo '$(srcdir)/'`mp4meta.c; \
-@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/libmp4ff_a-mp4meta.Tpo" "$(DEPDIR)/libmp4ff_a-mp4meta.Po"; else rm -f "$(DEPDIR)/libmp4ff_a-mp4meta.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='mp4meta.c' object='libmp4ff_a-mp4meta.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -c -o libmp4ff_a-mp4meta.o `test -f 'mp4meta.c' || echo '$(srcdir)/'`mp4meta.c
-
-libmp4ff_a-mp4meta.obj: mp4meta.c
-@am__fastdepCC_TRUE@	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -MT libmp4ff_a-mp4meta.obj -MD -MP -MF "$(DEPDIR)/libmp4ff_a-mp4meta.Tpo" -c -o libmp4ff_a-mp4meta.obj `if test -f 'mp4meta.c'; then $(CYGPATH_W) 'mp4meta.c'; else $(CYGPATH_W) '$(srcdir)/mp4meta.c'; fi`; \
-@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/libmp4ff_a-mp4meta.Tpo" "$(DEPDIR)/libmp4ff_a-mp4meta.Po"; else rm -f "$(DEPDIR)/libmp4ff_a-mp4meta.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='mp4meta.c' object='libmp4ff_a-mp4meta.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -c -o libmp4ff_a-mp4meta.obj `if test -f 'mp4meta.c'; then $(CYGPATH_W) 'mp4meta.c'; else $(CYGPATH_W) '$(srcdir)/mp4meta.c'; fi`
-
-libmp4ff_a-mp4sample.o: mp4sample.c
-@am__fastdepCC_TRUE@	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -MT libmp4ff_a-mp4sample.o -MD -MP -MF "$(DEPDIR)/libmp4ff_a-mp4sample.Tpo" -c -o libmp4ff_a-mp4sample.o `test -f 'mp4sample.c' || echo '$(srcdir)/'`mp4sample.c; \
-@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/libmp4ff_a-mp4sample.Tpo" "$(DEPDIR)/libmp4ff_a-mp4sample.Po"; else rm -f "$(DEPDIR)/libmp4ff_a-mp4sample.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='mp4sample.c' object='libmp4ff_a-mp4sample.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -c -o libmp4ff_a-mp4sample.o `test -f 'mp4sample.c' || echo '$(srcdir)/'`mp4sample.c
-
-libmp4ff_a-mp4sample.obj: mp4sample.c
-@am__fastdepCC_TRUE@	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -MT libmp4ff_a-mp4sample.obj -MD -MP -MF "$(DEPDIR)/libmp4ff_a-mp4sample.Tpo" -c -o libmp4ff_a-mp4sample.obj `if test -f 'mp4sample.c'; then $(CYGPATH_W) 'mp4sample.c'; else $(CYGPATH_W) '$(srcdir)/mp4sample.c'; fi`; \
-@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/libmp4ff_a-mp4sample.Tpo" "$(DEPDIR)/libmp4ff_a-mp4sample.Po"; else rm -f "$(DEPDIR)/libmp4ff_a-mp4sample.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='mp4sample.c' object='libmp4ff_a-mp4sample.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -c -o libmp4ff_a-mp4sample.obj `if test -f 'mp4sample.c'; then $(CYGPATH_W) 'mp4sample.c'; else $(CYGPATH_W) '$(srcdir)/mp4sample.c'; fi`
-
-libmp4ff_a-mp4util.o: mp4util.c
-@am__fastdepCC_TRUE@	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -MT libmp4ff_a-mp4util.o -MD -MP -MF "$(DEPDIR)/libmp4ff_a-mp4util.Tpo" -c -o libmp4ff_a-mp4util.o `test -f 'mp4util.c' || echo '$(srcdir)/'`mp4util.c; \
-@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/libmp4ff_a-mp4util.Tpo" "$(DEPDIR)/libmp4ff_a-mp4util.Po"; else rm -f "$(DEPDIR)/libmp4ff_a-mp4util.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='mp4util.c' object='libmp4ff_a-mp4util.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -c -o libmp4ff_a-mp4util.o `test -f 'mp4util.c' || echo '$(srcdir)/'`mp4util.c
-
-libmp4ff_a-mp4util.obj: mp4util.c
-@am__fastdepCC_TRUE@	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -MT libmp4ff_a-mp4util.obj -MD -MP -MF "$(DEPDIR)/libmp4ff_a-mp4util.Tpo" -c -o libmp4ff_a-mp4util.obj `if test -f 'mp4util.c'; then $(CYGPATH_W) 'mp4util.c'; else $(CYGPATH_W) '$(srcdir)/mp4util.c'; fi`; \
-@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/libmp4ff_a-mp4util.Tpo" "$(DEPDIR)/libmp4ff_a-mp4util.Po"; else rm -f "$(DEPDIR)/libmp4ff_a-mp4util.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='mp4util.c' object='libmp4ff_a-mp4util.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -c -o libmp4ff_a-mp4util.obj `if test -f 'mp4util.c'; then $(CYGPATH_W) 'mp4util.c'; else $(CYGPATH_W) '$(srcdir)/mp4util.c'; fi`
-
-libmp4ff_a-mp4tagupdate.o: mp4tagupdate.c
-@am__fastdepCC_TRUE@	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -MT libmp4ff_a-mp4tagupdate.o -MD -MP -MF "$(DEPDIR)/libmp4ff_a-mp4tagupdate.Tpo" -c -o libmp4ff_a-mp4tagupdate.o `test -f 'mp4tagupdate.c' || echo '$(srcdir)/'`mp4tagupdate.c; \
-@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/libmp4ff_a-mp4tagupdate.Tpo" "$(DEPDIR)/libmp4ff_a-mp4tagupdate.Po"; else rm -f "$(DEPDIR)/libmp4ff_a-mp4tagupdate.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='mp4tagupdate.c' object='libmp4ff_a-mp4tagupdate.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -c -o libmp4ff_a-mp4tagupdate.o `test -f 'mp4tagupdate.c' || echo '$(srcdir)/'`mp4tagupdate.c
-
-libmp4ff_a-mp4tagupdate.obj: mp4tagupdate.c
-@am__fastdepCC_TRUE@	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -MT libmp4ff_a-mp4tagupdate.obj -MD -MP -MF "$(DEPDIR)/libmp4ff_a-mp4tagupdate.Tpo" -c -o libmp4ff_a-mp4tagupdate.obj `if test -f 'mp4tagupdate.c'; then $(CYGPATH_W) 'mp4tagupdate.c'; else $(CYGPATH_W) '$(srcdir)/mp4tagupdate.c'; fi`; \
-@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/libmp4ff_a-mp4tagupdate.Tpo" "$(DEPDIR)/libmp4ff_a-mp4tagupdate.Po"; else rm -f "$(DEPDIR)/libmp4ff_a-mp4tagupdate.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='mp4tagupdate.c' object='libmp4ff_a-mp4tagupdate.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -c -o libmp4ff_a-mp4tagupdate.obj `if test -f 'mp4tagupdate.c'; then $(CYGPATH_W) 'mp4tagupdate.c'; else $(CYGPATH_W) '$(srcdir)/mp4tagupdate.c'; fi`
-
 mostlyclean-libtool:
 	-rm -f *.lo
 
@@ -488,7 +397,7 @@
 	done
 check-am: all-am
 check: check-am
-all-am: Makefile $(LIBRARIES) $(HEADERS)
+all-am: Makefile $(LTLIBRARIES) $(HEADERS)
 installdirs:
 	for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(includedir)"; do \
 	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
@@ -519,7 +428,7 @@
 	@echo "it deletes files that may require special tools to rebuild."
 clean: clean-am
 
-clean-am: clean-generic clean-libLIBRARIES clean-libtool \
+clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
 	mostlyclean-am
 
 distclean: distclean-am
@@ -540,7 +449,7 @@
 
 install-data-am: install-includeHEADERS
 
-install-exec-am: install-libLIBRARIES
+install-exec-am: install-libLTLIBRARIES
 
 install-info: install-info-am
 
@@ -567,20 +476,21 @@
 ps-am:
 
 uninstall-am: uninstall-includeHEADERS uninstall-info-am \
-	uninstall-libLIBRARIES
+	uninstall-libLTLIBRARIES
 
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
-	clean-libLIBRARIES clean-libtool ctags distclean \
+	clean-libLTLIBRARIES clean-libtool ctags distclean \
 	distclean-compile distclean-generic distclean-libtool \
 	distclean-tags distdir dvi dvi-am html html-am info info-am \
 	install install-am install-data install-data-am install-exec \
 	install-exec-am install-includeHEADERS install-info \
-	install-info-am install-libLIBRARIES install-man install-strip \
-	installcheck installcheck-am installdirs maintainer-clean \
-	maintainer-clean-generic mostlyclean mostlyclean-compile \
-	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
-	tags uninstall uninstall-am uninstall-includeHEADERS \
-	uninstall-info-am uninstall-libLIBRARIES
+	install-info-am install-libLTLIBRARIES install-man \
+	install-strip installcheck installcheck-am installdirs \
+	maintainer-clean maintainer-clean-generic mostlyclean \
+	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
+	pdf pdf-am ps ps-am tags uninstall uninstall-am \
+	uninstall-includeHEADERS uninstall-info-am \
+	uninstall-libLTLIBRARIES
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
--- faad2.orig/frontend/Makefile.in
+++ faad2/frontend/Makefile.in
@@ -52,7 +52,7 @@
 am_faad_OBJECTS = main.$(OBJEXT) audio.$(OBJEXT) getopt.$(OBJEXT)
 faad_OBJECTS = $(am_faad_OBJECTS)
 faad_DEPENDENCIES = $(top_builddir)/libfaad/libfaad.la \
-	$(top_builddir)/common/mp4ff/libmp4ff.a
+	$(top_builddir)/common/mp4ff/libmp4ff.la
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
@@ -188,7 +188,7 @@
 	   -I$(top_srcdir)/common/mp4ff
 
 faad_LDADD = $(top_builddir)/libfaad/libfaad.la \
-	     $(top_builddir)/common/mp4ff/libmp4ff.a
+	     $(top_builddir)/common/mp4ff/libmp4ff.la
 
 faad_SOURCES = main.c \
 	       audio.c audio.h \
